apclusterDemo {apcluster} | R Documentation

## Affinity Propagation Demo

### Description

Runs affinity propagation demo for randomly generated data set according to Frey and Dueck

### Usage

    apclusterDemo(l=100, d=2, seed=NA, ...)

### Arguments

`l` | number of data points to be generated
`d` | dimension of data to be created
`seed` | for reproducibility, the seed of the random number generator can be set to a fixed value; if `NA`, the seed remains unchanged
`...` | all other arguments are passed on to `apcluster`

### Details

`apclusterDemo` creates `l` `d`-dimensional data points that are uniformly distributed in [0,1]^d. Affinity propagation is executed for this data set with default parameters. Alternative settings can be passed to `apcluster` with additional arguments. After completion of affinity propagation, the results are shown and the performance measures are plotted.

This function corresponds to the demo function in the original Matlab code of Frey and Dueck. We warn the user, however, that uniformly distributed data are not necessarily ideal for demonstrating clustering, as there can never be real clusters in uniformly distributed data - all clusters found must be random artefacts.

### Value

Upon successful completion, the function returns an invisible list with three components. The first is the data set that has been created, the second is the similarity matrix, and the third is an `APResult` object with the clustering results (see examples below).

### Author(s)

Ulrich Bodenhofer, Andreas Kothmeier & Johannes Palme apcluster@bioinf.jku.at

### References

http://www.bioinf.jku.at/software/apcluster

Frey, B. J. and Dueck, D. (2007) Clustering by passing messages between data points. Science 315, 972-976. DOI: 10.1126/science.1136800.

Bodenhofer, U., Kothmeier, A., and Hochreiter, S. (2011) APCluster: an R package for affinity propagation clustering. Bioinformatics 27, 2463-2464. DOI: 10.1093/bioinformatics/btr406.

### See Also

`APResult`, `plot-methods`, `apcluster`, `apclusterL`

### Examples

    ## create random data set and run affinity propagation
    apd <- apclusterDemo()

    ## plot clustering result along with data set
    plot(apd[[3]], apd[[1]])

[Package apcluster version 1.4.7 Index]